> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/image/deleteimagecopy.md).

# DeleteImageCopy

## 1. 接口描述

本接口(DeleteImageCopy)用于删除镜像在指定区域的副本。

{% hint style="info" %}
删除自定义镜像在指定区域的副本，至少保留一个可用区域；仅镜像为可用状态时允许删除副本（复制中等状态会返回 INVALID\_IMAGE\_STATUS）。
{% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称      | 必选 | 类型              | 描述              |
| --------- | -- | --------------- | --------------- |
| imageId   | 是  | String          | 自定义镜像 ID。       |
| regionIds | 是  | Array of String | 待删除副本的区域 ID 列表。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**删除镜像指定区域副本**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteImageCopy
<Common Request Params>

Request：
{
  "imageId": "<custom image id>",
  "regionIds": ["region-a", "region-b"]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                               | 说明               |
| ------- | --------------------------------- | ---------------- |
| 404     | INVALID\_IMAGE\_NOT\_FOUND        | 镜像不存在。           |
| 400     | INVALID\_IMAGE\_STATUS            | 镜像的状态不支持此操作。     |
| 404     | INVALID\_IMAGE\_COPY\_NOT\_FOUND  | 自定义镜像区域副本不存在。    |
| 400     | INVALID\_IMAGE\_REGION\_ONLY\_ONE | 自定义镜像区域副本至少保留一个。 |
| 404     | INVALID\_REGION\_NOT\_FOUND       | 指定的可用区不存在。       |
